﻿@Html.DevExpress().DropDownEdit(
    settings => {
        settings.Name = "checkComboBox";
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

        settings.SetDropDownWindowTemplateContent(c =>
        {
            @Html.RenderPartial("PartialSupplierGrid");
            ViewContext.Writer.Write("<table border=\"0\" width=\"100%\"><tr><td width=\"400px\"><td><td align=\"right\" width=\"20px\">");
            @Html.DevExpress().Button(
               buttonSettings =>
               {                   
                    buttonSettings.Name = "buttonOkSupplier";
                    buttonSettings.Text = "Ok";
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.Width = 80;
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                }
           )
           .Render();
            ViewContext.Writer.Write("</td align=\"right\" width=\"20px\"><td>");
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "buttonCancelSupplier";
                    buttonSettings.Text = "Cancel";
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.Width = 80;
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                }
            )
            .Render();
            ViewContext.Writer.Write("</td></tr></table>");
        });
        settings.Properties.AnimationType = AnimationType.None;
        settings.Properties.ClientSideEvents.TextChanged="SynchronizeListBoxValues";
        settings.Properties.ClientSideEvents.DropDown = "SynchronizeListBoxValues";
    }
).GetHtml()